#pragma once

#include <memory>
#include "core/editor.h"
#include "tools/music.h"
#include "core/timeline.h"
#include "game/classicnote.h"

class ClassicGraphicsManager;

class ClassicEditor : public Editor
{
public:
    explicit ClassicEditor(std::shared_ptr<ClassicGraphicsManager>&& manager);

    virtual void input(PlayerInput&& inputdata) override;
    virtual void update(const sf::Time& dt) override;
    virtual void draw() const override;

private:
    Music _music;

    std::shared_ptr<ClassicGraphicsManager> _graphics_manager;
    Timeline<ClassicNote> _timeline;
};
